Package org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule
        - - org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule
          - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule
            - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup.StandaloneParserModule
              - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules

- All Implemented Interfaces:
    `com.google.inject.Module`
  Enclosing class:
    EMFPatternLanguageStandaloneSetup

      public static class EMFPatternLanguageStandaloneSetup.StandaloneParserWithSeparateModules
      extends EMFPatternLanguageStandaloneSetup.StandaloneParserModule

  Module implementation that is used for headless parsing by `PatternParser`, where separate parse calls should be considered independent without recreating the the pattern parser instance. Note: Instead of this rely on `EMFPatternLanguageStandaloneSetup.StandaloneParserModule` instead, unless recreating the pattern parser is really expensive.
  Since:
    2.0

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandaloneParserWithSeparateModules()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<? extends org.eclipse.xtext.xbase.validation.UniqueClassNameValidator>` | `bindUniqueClassNameValidator()` |
    `void` | `configureIResourceDescriptions​(com.google.inject.Binder binder)` |
    `void` | `configurePatternReuse​(com.google.inject.Binder binder)` |

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneSetup.StandaloneParserModule

      `bindIGenerator, configureClasspathValidation, configureQueryGroupGeneration`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule

      `bindAnnotationExpressionValidator, bindAnnotationValidatorLoader, bindIBatchScopeProvider, bindIClassLoaderProvider, bindICrossReferenceSerializer, bindIDefaultResourceDescriptionStrategy, bindIErrorFeedback, bindIExpectedPackageNameProvider, bindIFormatter, bindIFragmentProvider, bindIGeneratorConfigProvider, bindIGlobalServiceProvider, bindIIssueCallback, bindIJvmModelInferrer, bindILinkingService, bindILogicalContainerProvider, bindIMetamodelProvider, bindIPureWhitelistExtensionProvider, bindIQualifiedNameProvider, bindISyntaxErrorMessageProvider, bindITypeInferrer, bindITypeSystem, bindJvmModelAssociator, bindPatternAnnotationProvider, configureIScopeProviderDelegate`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `bindClassLoaderToInstance, bindDefaultBatchTypeResolver, bindDefaultReentrantTypeResolver, bindEMFPatternLanguageValidator, bindFeatureNameValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIGlobalScopeProvider, bindIGrammarAccess, bindILocationInFileProvider, bindIParser, bindIResourceValidator, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindIUnorderedGroupHelper, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptionsPersisted, configureLanguageName, configureRewritableImportSectionEnablement, configureRuntimeLexer, provideInternalEMFPatternLanguageLexer`

    - ### Methods inherited from class org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

      `bindAbstractFileSystemAccess2, bindCancelableDiagnostician, bindConfigurableIssueCodesProvider, bindEObjectAtOffsetHelper, bindIdentifiableSimpleNameProvider, bindIDerivedStateComputer, bindIEvaluationContext, bindIExpressionInterpreter, bindIJavaDocReferenceProvider, bindILinker, bindILinkingDiagnosticMessageProvider, bindIPartialParserHelper, bindIQualifiedNameConverter, bindIResourceDescription$Manager, bindIScopeProvider, bindIStratumBreakpointSupport, bindIValueConverterService, bindJvmTypeReferencesValidator, bindLineSeparatorHarmonizer, bindNodeModelBuilder, bindProjectConfigProvider, bindSeverityConverter, bindStaticImplicitMethodsFeatureForTypeProvider$ExtensionClassNameProvider, bindSTRINGValueConverter, bindTargetURICollector, bindXtextResource, bindXtypeFactoryToInstance, configureITransientValueService, configureLinkingIScopeProvider, configureSerializerIScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindINodeModelFormatter, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureIsAffectedExtensions, configureRuntimeEncodingProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandaloneParserWithSeparateModules

          public StandaloneParserWithSeparateModules()

  - ### Method Detail

    - #### configurePatternReuse

          public void configurePatternReuse​(com.google.inject.Binder binder)

      Overrides:
        `configurePatternReuse` in class `EMFPatternLanguageRuntimeModule`

    - #### configureIResourceDescriptions

          public void configureIResourceDescriptions​(com.google.inject.Binder binder)

      Overrides:
        `configureIResourceDescriptions` in class `AbstractEMFPatternLanguageRuntimeModule`

    - #### bindUniqueClassNameValidator

          public java.lang.Class<? extends org.eclipse.xtext.xbase.validation.UniqueClassNameValidator> bindUniqueClassNameValidator()

      Overrides:
        `bindUniqueClassNameValidator` in class `org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule`